vinagre connects but appears that I cannot start anything on remote desktop

Bug #350327 reported by Richard on 2009-03-28
60
This bug affects 5 people
Affects Status Importance Assigned to Milestone
NVIDIA Drivers Ubuntu
Undecided
Unassigned
vino
New
Undecided
Unassigned
nvidia-graphics-drivers-180 (Ubuntu)
High
Unassigned
Nominated for Jaunty by Dick Tang
Nominated for Karmic by Craig Hansen

Bug Description

Binary package hint: vinagre

With Jaunty beta upgrade no remote desktop software functions properly any more. I can access the remote computer but apart from seeing the mouse moving it appears like I cannot do anything. When I hover and try to click any icon on the remote desktop nothing changes on the screen. However, if I disconnect and reconnect, the activity I thought had not worked actually has, but again if I try to do anything else nothing seems to happen (but again reconnecting shows it has and so on and so on).

Same here but not on all remote Jaunty, i get this issue only on a Jaunty... with

02:00.0 VGA compatible controller: nVidia Corporation G72 [GeForce 7500 LE] (rev a1)

I don't know if is related to the video card modules...

Thank you

Confirmed i have this issue with latest updates of Ubuntu 9.04...

Changed in vinagre (Ubuntu):
status: New → Confirmed

marcobra wrote:
> Same here but not on all remote Jaunty, i get this issue only on a
> Jaunty... with
>
> 02:00.0 VGA compatible controller: nVidia Corporation G72 [GeForce 7500
> LE] (rev a1)

Richard, do you also have an nVidia card?

Richard and marcobra, does this happen with the nVidia binary driver? What about
the nv driver?

I do some test in my lan with several 4 pc all this pc are running:

Ubuntu jaunty (development branch)
Release: 9.04

with different hardware... but with no nvidia card on them... and i can see remote screen event on my client desktop...

I must contact the remote friend, he have Jaunty and nvidia card... i will get test with nv in the next days...

Hope this helps

Richard (richpaulfahey) wrote :

Hi Emilio,
Sorry if my reply is a bit late but yes I too have an
nvidia card (on 2 computers actually with problem existing on both)
Thanks
Richard

P.S. Sorry if you have received this email more than once

________________________________
From: Emilio Pozuelo Monfort <email address hidden>
To: <email address hidden>
Sent: Sunday, 12 April, 2009 5:55:03 AM
Subject: Re: [Bug 350327] Re: vinagre connects but appears that I cannot start anything on remote desktop

marcobra wrote:
> Same here but not on all remote Jaunty, i get this issue only on a
> Jaunty... with
>
> 02:00.0 VGA compatible controller: nVidia Corporation G72 [GeForce 7500
> LE] (rev a1)

Richard, do you also have an nVidia card?

Richard and marcobra, does this happen with the nVidia binary driver? What about
the nv driver?

--
vinagre connects but appears that I cannot start anything on remote desktop
https://bugs.launchpad.net/bugs/350327
You received this bug notification because you are a direct subscriber
of the bug.

      Enjoy a safer web experience. Upgrade to the new Internet Explorer 8 optimised for Yahoo!7. Get it now.

Emilio Pozuelo Monfort (pochu) wrote :

reassigned to nvidia.

Can you attach your /var/log/Xorg.0.log ?

affects: vinagre (Ubuntu) → nvidia-graphics-drivers-180 (Ubuntu)
Richard (richpaulfahey) wrote :

Again sorry for the delay. Renovating!!

tlibasci (tlibasci) wrote :

FWIW, same problem here with nvidia closed-source driver, both 173 and 180. Works OK if I change to nv, though. I've got a GeForce 8500.

Marked 365667 as a duplicate of this bug.

Eric Jiang (erjiang) wrote :

I also have this problem, although Ubuntu's built-in remote desktop server worked perfectly before I upgraded to 9.04.

gilber (gilber) wrote :

I have the same problem after installing nvidia-180 driver.
I hadn't this problem with 8.10 and nvidia-180.

M Pietila (pietila-meghan) wrote :

Same behavior here, also have nvidia-180 driver.

RedOranges (redoranges) wrote :

I have the same problem, it was working fine before I upgraded to jaunty

When I"m connecting from a remote machine (vista) using tightvnc i can see both the local and remote cursors, and all i get is a screenshot of the host. Strange thing is I can still do all operation from the remote on the host and see them on the host but not on the remote.

I am using nvidia 180 driver on GeForce 7600gs

xkalibur (willyboyd) wrote :

I just upgraded to 9.04 today and encountered the exact same problem soon as I installed nvidia 180 driver. This worked before with the builtin Ubuntu vnc server on 8.10 and nvidia proprietary drivers. I've tried connected with three different vnc clients from an OSX machine (JollysFastVNC, ChickenOfTheVnc, and OSX builtin screen sharing client). Can see static desktop but image never updates. I will be installing tightvnc or another server until the issue with the builtin server is resolved. Thanks.

tomatoman (thomasu3) wrote :

There is a Compiz dependency here. If you disable Compiz (System, Preferences, Appearance, Visual Effects set to None), the client will experience screen refreshes. Not a solution, but at least a workaround.

zebul666 (zebul666) wrote :

yeah i have the same problem on 2 ubuntu 9.04 boxes (the 2 upgraded from 8.10).
the 2 have nvidia cards running nvidia 96 (geforce 4 MX 440) and nvidia 183(?, the latest) for the one with geforce 8300GS

i must say that i have no problem with vino and nvidia card when i run them on archlinux.i have found that this only happen in ubuntu 9.04 not 8.10. not archlinux.

thumbs down ubuntu.

zebul666 (zebul666) wrote :

oops i do not run compiz on archlinux /o\

DaMiEn667 (damien667) wrote :

Using 180.44 from NVidia's site and I have the same issue. Running "metacity --replace" and, in the process, turning compiz off fixes the issue temporarily.

Tom (tna5000) wrote :

yep, confirmed here as well. Have updated to 9.04 with the latest nvidia drivers and running compiz and vnc does not update to show clicks. I have a laptop with a brand new install of 9.04 with nvidia latest drivers and compiz and its the same there.

Confirmed here, too. VNC worked with 8.10 and stopped working with 9.04. Using latest nvidia drivers and running compiz. Mouse updates are sent through correctly to the VNC server machine, but screen refreshes don't show up on the client after ~10 seconds.

rayhaque (rayhaque) wrote :

Nothing more to add other than "me too". I am running 9.04 and using the proprietary NVidia drivers. Had no problems with 8.04 or 8.10 but now I don't get mouse controls to the client and the screen doesn't repaint.

tomatoman (thomasu3) wrote :

A kind fellow form Brazil by the name Jonh Wendell seems to have found a
workaround for the display update problem:
http://www.bani.com.br/lang/en/2009/05/remote-access-and-3d-effectsacesso-remoto-e-efeitos-3d/
Please note that this workaround requires Vino 2.26.2 while the current
version is .1 - the new version is supposedly coming out next week.
Thomas

koshari (holto2go) wrote :

ubuntu 9.04 nvidia 180 driver,

only wont update in vino when advanced desktop ie compiz enabled, appears to work in metacity,

Bryce Harrington (bryce) wrote :

I've posted a new version of the -nvidia driver to our xorg-edgers PPA,
would you mind testing it either on Jaunty or Karmic and see if it
resolves this bug?

Get nvidia-graphics-drivers-180 - 185.18.14 here:

  https://edge.launchpad.net/~xorg-edgers/+archive/ppa

Changed in nvidia-graphics-drivers-180 (Ubuntu):
status: Confirmed → New
status: New → Incomplete
M Pietila (pietila-meghan) wrote :

I hadn't tried using vinagre for some time, but I updated with the latest updates yesterday and tried connecting again (using the same computers that had not worked before); remote desktop is working great, and I was able to see and manipulate everything I tried.

Eric Marvets (emarvets) wrote :

Confirmed I am having the same problem. Disabled nvidia 180 driver and VNC sends back screen output. When I re-enabled the 180 driver and disabled the visual effects, that also corrected the issue.

Has this been fixed? I'd really like to be able to connect to my machine remotely.

Nope, it's still broken, at least when I connect remotely via OS X's VNC
client.

On Fri, Aug 7, 2009 at 2:44 PM, bc90021 <email address hidden> wrote:

> Has this been fixed? I'd really like to be able to connect to my
> machine remotely.
>
> --
> vinagre connects but appears that I cannot start anything on remote
> desktop
> https://bugs.launchpad.net/bugs/350327
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
University of Pennsylvania
Neuroscience Graduate Group
jeremy.manning.googlepages.com

Bryce Harrington (bryce) on 2009-08-13
tags: added: jaunty
DaMiEn667 (damien667) wrote :

I uninstalled Ubuntu Jaunty 180 drivers, downloaded 185 drivers from Nvidia site and Vinagre works again. Remember to completely uninstall all restricted 180 drivers or you will have conflicts when starting GDM.

As per @DaMiEn667's suggestion, I uninstalled my 180 drivers, and tried the 185 drivers and the 190 drivers on the NVidia site. I am still unable to use Vinagre with any version. I can connect, and the initial screen appears, but it does not refresh on the client.

Following @Jeremy Manning's post, I realised that I'd only been testing with "Chicken of the VNC" from my Macbook. However, I have tested this morning using an Ubuntu laptop, and the problem persists. I can connect to the remote machine, and the initial screen comes up, but nothing refreshes on the client side, even though the actions are taking place on the remote machine. (I can see the results of those actions having been performed if I disconnect and reconnect.)

RedLegoMan (red-lego-man) wrote :

Has there been any progress with this? Is it going to be fixed in jaunty? This is a proper pain in the backside.
Is there a definitive workaround to this?

I note above that the "Importance" of this ticket is 'Undecided' and the "Assigned To" field is empty. From this I must conclude that there is no one working on this issue.

It's almost five months old. While it may be related to "proprietary" drivers, at least two of us are on record as saying that it is independent of the driver, and it has also been tested on Archlinux and does not affect that platform. That would indicate that it is an Ubuntu bug.

Is there ANY plan to work on this? As RedLegoMan has indicated, this is a proper pain.

Kris (dakaujunk) wrote :

Stumbled upon this bug... and i have only a "me too" to add. I tried disabling Compiz on the remote machine, and that works fine. But if Compiz is enabled on the remote system and viagre is used to view the desktop of the remote system, the client does not refresh (although the actual remote system is responding to the commands... but the client is in a blind mode).

To add more to this (and the comment on the duplicate bug), disabling Compiz may be a "workaround", but it's hardly a fix.

narmi91 (narmi91) wrote :

I got this problem when I installed the nvidia driver. The problem went away when I unistalled the nvidia driver and went back to the generic 9.04 video driver.

Andy McCallum (mandoonandy) wrote :

"me too"! Nvidia proprietary driver and Ubuntu 9.04.

This is a very annoying bug. Has anybody found a fix that doesn't involve crippling the operating system?

same here with Ubuntu 9.10

Ditto for me

Sent from my iPod

On Nov 4, 2009, at 5:39 PM, LostinSpacetime <email address hidden>
wrote:

> same here with Ubuntu 9.10
>
> --
> vinagre connects but appears that I cannot start anything on remote
> desktop
> https://bugs.launchpad.net/bugs/350327
> You received this bug notification because you are a direct subscriber
> of the bug.

Bryce Harrington (bryce) wrote :

Thanks for confirming it is an issue still. Sorry it is not getting attention; there are literally thousands of X bug reports to Ubuntu and not very many people for working on them. Since there is limited resources, we tend to focus them on bug reports where the reporters have provided information needed to analyze the bug. I notice in this one there is one Xorg.0.log posted (which doesn't show any error message).

I would encourage those experiencing this bug to do a bit more digging to see if you can identify the error that is occuring. We have some docs to help give guidance on this at http://wiki.ubuntu.com/X/Troubleshooting/ although I'm not sure how much bearing they'll have on this specific problem. My gut tells me that perhaps nvidia simply doesn't support compositing screen operations over whatever protocol vinagre uses. If that's the case, there is really nothing we'll be able to do in ubuntu to resolve the problem, aside from just recommending compiz be turned off in such cases. Open to suggestions though...

Changed in nvidia-graphics-drivers-180 (Ubuntu):
importance: Undecided → High

I've upgraded to 9.10 and this bug is no longer relevant for me. It works (with the NVidia 185 driver) in Karmic Koala, so I suspect it's not an NVidia bug.

robled (robled) wrote :

it's a bit easier to work around this bug because the version of vino included with Karmic has the xdamage disable gconf key. Run gconf-editor and enable the checkbox for this key:

/desktop/gnome/remote_access/disable_xdamage

I'm sure this has some negative impact on already slow VNC performance. To what extent, I don't know.

Nicolay Doytchev (lightrush) wrote :

@NTolerance

Thanks for that info - worked like a charm! Now if only this can get to be default :)

Changed in nvidia-graphics-drivers-180 (Ubuntu):
status: Incomplete → Confirmed
Bassjunkie (mark-skrzypczyk) wrote :

@NTolerance
Thanks for that advice, can confirm that fix/workaround did the job for me!
Tested connecting via RealVNC viewer from WinXP to Ubuntu x64 with Nvidia card and at first had frozen display (which I could see mouse interacting with on the actual computer screen next to it)
Once I enabled the Xdamage option and reconnected I then started getting screen updates on VNC!

Big thanks as I have several PC's with Nvidia cards and the lack of remote desktop control has been a PITA!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments